%
%  SPARSEPOLY toolbox for finding sparse solutions of polynomial systems
%
% by F. Lauer, 2013. 
%
% This toolbox is based on the paper 
%
%	F. Lauer and H. Ohlsson, Finding sparse solutions of systems of polynomial equations via group-sparsity optimization, arXiv preprint, arXiv:1311.5871, 2013
%
%
% See examples in:
%  example_sparsepoly.m 
%
% BP functions for the noiseless case: 
%  polybpL1	- Polynomial basis pursuit based on L1-minimization
%  polybpL1L2	- Polynomial basis pursuit based on Iteratively Reweighted L1/L2-minimization
%  polybpSL1L2M	- Polynomial basis pursuit based on Selective L1/L2-minimization
%
% Noise-tolerant versions of the BP functions (with a bound on the l2-norm of the noise): 
%  polybpL1noiseL2		
%  polybpL1L2noiseL2	
%  polybpSL1L2MnoiseL2	
%
% Greedy algorithms (these are noise-tolerant):
%  polygreedy    	- Approximate greedy algorithm
%  polygreedyexact	- Exact greedy algorithm
%
% NOTES: 
%  - The toolbox uses a subset of the sglib toolbox (included):
%    A Matlab/Octave toolbox for stochastic Galerkin methods
%    by Elmar Zander
%    downloadable at http://ezander.github.com/sglib
%
%  - The toolbox uses MOSEK to solve convex optimization problems (not included)
%    >> MOSEK needs to be installed and in the PATH for SPARSEPOLY to work <<
%       (see instructions at www.mosek.com)
%

