function x=identity(x, varargin )
% IDENTITY Returns its argument unmodified.
%   X=IDENTITY(X)  just returns X as passed to the function. Though
%   trivial, it is quite handy in many situations where a default function,
%   that does nothing is expected.
%   X=IDENTITY(X,VARARGIN) same as before - all parameters after X are
%   simply ignored.
%
% Example (<a href="matlab:run_example identity">run</a>)
%
% See also

%   Elmar Zander
%   Copyright 2010, Inst. of Scientific Computing, TU Braunschweig
%
%   This program is free software: you can redistribute it and/or modify it
%   under the terms of the GNU General Public License as published by the
%   Free Software Foundation, either version 3 of the License, or (at your
%   option) any later version. 
%   See the GNU General Public License for more details. You should have
%   received a copy of the GNU General Public License along with this
%   program.  If not, see <http://www.gnu.org/licenses/>.

